$(document).ready(function () {
    // Function to toggle the order_size_perc field based on use_order_size value
    function toggleOrderSizePercField() {
        var useOrderSize = $('#id_use_order_size').prop('checked');
        if (useOrderSize) {
            $('#id_order_size_perc').prop('disabled', true);
            $('#id_order_size').prop('disabled', false);
        } else {
            $('#id_order_size_perc').prop('disabled', false);
            $('#id_order_size').prop('disabled', true);
        }
    }

    // Initial toggle on page load
    toggleOrderSizePercField();

    // Bind the function to the change event of use_order_size checkbox
    $('#id_use_order_size').change(function () {
        toggleOrderSizePercField();
    });
});