from django.urls import path
from . import views

urlpatterns = [
    path('login/', views.login_view, name='login'),
    path('', views.home_view, name='home'),
    path('logout/', views.logout_view, name='logout'),
    path('tv_webhook/<str:username>/', views.tv_webhook, name='tv_webhook'),
    path('edit_setting/<str:username>/', views.edit_setting, name='edit_setting'),
    path('health/', views.health, name='health'),
]